#  Copyright (c) 2006 Six Feet Up, Inc.
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
"""
A folder based on ATFolder that can contain Ads
"""
from Products.ATContentTypes.content.folder import ATFolder
from Products.ATContentTypes.content.folder import ATFolderSchema
from Products.Archetypes.public import Schema
from Products.Archetypes.public import registerType
from Products.Archetypes.public import IntegerField, IntegerWidget
from config import PROJECTNAME

ATFolderSchemaCopy = ATFolderSchema.copy()

schema = ATFolderSchemaCopy + Schema((
    IntegerField(
        'width',
        default = 145,
        widget=IntegerWidget(
            label = 'Width',
            description = 'Enter a max width for ads in this folder',
        ),
     ),
    IntegerField(
        'height',
        default = 1000,
        widget=IntegerWidget(
            label = 'Height',
            description = 'Enter a max height for ads in this folder',
        ),
    ),
))

class AdFolder(ATFolder):
    """A folder that contains ads
    """
    schema = schema
    global_allow = 0
    archetype_name = portal_type = meta_type = 'Ad Folder'
    allowed_content_types = ['Ad', 'Ad Folder']
    suppl_views    = ('folder_summary_view','folder_tabular_view','folder_listing')
    
    __implements__ = ATFolder.__implements__

registerType(AdFolder, PROJECTNAME)
